import {
  UserOutlined,
  SettingOutlined,
  PictureOutlined,
  CommentOutlined,
  AppstoreOutlined,
  BookOutlined,
  ReadOutlined,
  MessageOutlined,
} from "@ant-design/icons";
import React from "react";
import { DageRouteItem } from "./types";

export const DEFAULT_MENU: DageRouteItem[] = [];

export const DEFAULT_ADMIN_MENU: DageRouteItem[] = [
  {
    path: "/banner",
    title: "海报管理",
    icon: <PictureOutlined />,
    Component: React.lazy(() => import("../pages/Banner")),
    children: [
      {
        path: "/banner/create",
        title: "新增",
        hide: true,
        Component: React.lazy(() => import("../pages/Banner/create-or-edit")),
      },
    ],
  },
  {
    path: "/information",
    title: "资讯管理",
    icon: <CommentOutlined />,
    Component: React.lazy(() => import("../pages/Information")),
    children: [
      {
        path: "/information/create",
        title: "新增",
        hide: true,
        Component: React.lazy(
          () => import("../pages/Information/create-or-edit")
        ),
      },
    ],
  },
  {
    path: "/exhibition",
    title: "展厅管理",
    icon: <AppstoreOutlined />,
    Component: React.lazy(() => import("../pages/Exhibition")),
  },
  {
    path: "/collection",
    title: "藏品管理",
    icon: <BookOutlined />,
    Component: React.lazy(() => import("../pages/Collection")),
    children: [
      {
        path: "/collection/create",
        title: "新增",
        hide: true,
        Component: React.lazy(
          () => import("../pages/Collection/create-or-edit")
        ),
      },
    ],
  },
  {
    path: "/questionnaire",
    title: "问卷管理",
    icon: <ReadOutlined />,
    Component: React.lazy(() => import("../pages/Questionnaire")),
    children: [
      {
        path: "/questionnaire/create",
        title: "新增",
        hide: true,
        Component: React.lazy(
          () => import("../pages/Questionnaire/create-or-edit")
        ),
      },
    ],
  },
  {
    path: "/message",
    title: "留言管理",
    icon: <MessageOutlined />,
    Component: React.lazy(() => import("../pages/Message")),
  },
  {
    path: "/user",
    title: "用户管理",
    icon: <UserOutlined />,
    Component: React.lazy(() => import("../pages/User")),
  },
  {
    path: "/log",
    title: "操作日志",
    icon: <SettingOutlined />,
    Component: React.lazy(() => import("../pages/Log")),
  },
];

export * from "./types";
